Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default

From: Artur Malabarba <[email-masked]>
Date: Mon, 27 Jul 2015 15:50:31 +0100

> > Char fold search is a text search, not a regexp search. It does use
> > a regexp underneath, but that should be invisible to the user. You
> > type some text and it matches that text or similar texts.
>
> "Char fold" search is a "fuzzy" search, then, similar to
> https://github.com/auto-complete/fuzzy-el?

Not quite. It just allows simple ascii characters to match their complex
unicode counterparts.
For instance, if you search for "a" you will also match "á" and "ã".

> What comes the name "char fold" from?  It's not very intuitive to me
> that it's some sort of fuzzy search; moreover, it looks like "case fold"
> search, which is again something different...

It is exactly like case fold. ;-)
Where case folding folds together "a" and "A", char folding folds together
"a", "á" and "ã".

The name is also something under discussion. Suggestions of something more
intuitive are very much welcome.